Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class AbstractPhaseInterceptor<T extends Message>

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<T>

All Implemented Interfaces:
  Interceptor<T>, PhaseInterceptor<T>

    public abstract class AbstractPhaseInterceptor<T extends Message>

extends java.lang.Object
implements PhaseInterceptor<T>

Constructor Summary
`AbstractPhaseInterceptor()` Deprecated.
`AbstractPhaseInterceptor(java.lang.String phase)`
`AbstractPhaseInterceptor(java.lang.String i, java.lang.String p)`

Method Summary
`void` | `addAfter(java.lang.String i)`
`void` | `addBefore(java.lang.String i)`
`java.util.Set<java.lang.String>` | `getAfter()` Returns a set of IDs specifying the interceptors that should be run after this interceptor.
`java.util.Set<java.lang.String>` | `getBefore()` Returns a set of IDs specifying the interceptors that should be run before this interceptor.
`java.lang.String` | `getId()` The ID of this interceptor.
`java.lang.String` | `getPhase()` The phase of this interceptor.
`void` | `handleFault(T message)` Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
`boolean` | `isGET(T message)`
`void` | `setPhase(java.lang.String p)` Deprecated. Pass the phase into the constructor. This method will be removed shortly

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.Interceptor
`handleMessage`

Constructor Detail

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor()

  Deprecated.

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String phase)

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String i,
                                    java.lang.String p)

Method Detail

### addBefore

    public void addBefore(java.lang.String i)

### addAfter

    public void addAfter(java.lang.String i)

### getAfter

    public final java.util.Set<java.lang.String> getAfter()

  Description copied from interface: `PhaseInterceptor`
  Returns a set of IDs specifying the interceptors that should be run after this interceptor.

  Specified by:
    `getAfter` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the ids of the interceptors to be run after

### getBefore

    public final java.util.Set<java.lang.String> getBefore()

  Description copied from interface: `PhaseInterceptor`
  Returns a set of IDs specifying the interceptors that should be run before this interceptor.

  Specified by:
    `getBefore` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the ids of the interceptors to be run before

### getId

    public final java.lang.String getId()

  Description copied from interface: `PhaseInterceptor`
  The ID of this interceptor.

  Specified by:
    `getId` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the id

### getPhase

    public final java.lang.String getPhase()

  Description copied from interface: `PhaseInterceptor`
  The phase of this interceptor.

  Specified by:
    `getPhase` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the phase

### setPhase

    public void setPhase(java.lang.String p)

  Deprecated. Pass the phase into the constructor. This method will be removed shortly

  Parameters:
    `p` -

### handleFault

    public void handleFault(T message)

  Description copied from interface: `Interceptor`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.

  Specified by:
    `handleFault` in interface `Interceptor<T extends Message>`

### isGET

    public boolean isGET(T message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.